std::swap(std::basic_filebuf)(3)

NAME
std::swap(std::basic_filebuf) - std::swap(std::basic_filebuf)

Synopsis
   template< class CharT, class Traits >
   void swap( std::basic_filebuf<CharT,Traits>& lhs, (since C++11)
   std::basic_filebuf<CharT,Traits>& rhs );
   Overloads the std::swap algorithm for std::basic_filebuf. Exchanges the state of lhs
   with that of rhs. Effectively calls lhs.swap(rhs).

Parameters
   lhs, rhs - std::basic_filebuf objects whose states to swap

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two basic_filebuf objects
   (C++11) (public member function)
   swap swaps the values of two objects
           (function template)